Package org.eclipse.birt.chart.model.component.impl

# Class LabelImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.LabelImpl

All Implemented Interfaces:
  `Label`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class LabelImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Label
An implementation of the model object ' Label'.

The following features are implemented:

- `Caption`
- `Background`
- `Outline`
- `Shadow Color`
- `Insets`
- `Visible`
- `Ellipsis`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetBackground(Fill newBackground, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetCaption(Text newCaption, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetInsets(Insets newInsets, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetShadowColor(ColorDefinition newShadowColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static Label`
`copyCompactInstance(Label src)`
A convenient method to get an instance copy.
`Label`
`copyInstance()`
A convenient method to get an instance copy.
`static final Label`
`create()`
A convenience method to create an initialized 'Label' instance
`static final Label`
`createDefault()`
A convenience method to create an initialized 'Label' instance
`static final Label`
`createDefault(boolean visible)`
A convenience method to create an initialized 'Label' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`Fill`
`getBackground()`
`Text`
`getCaption()`
`int`
`getEllipsis()`
`Insets`
`getInsets()`
`LineAttributes`
`getOutline()`
`ColorDefinition`
`getShadowColor()`
`boolean`
`isSetEllipsis()`
`boolean`
`isSetVisible()`
`boolean`
`isVisible()`
`void`
`setBackground(Fill newBackground)`
`void`
`setCaption(Text newCaption)`
`void`
`setEllipsis(int newEllipsis)`
`void`
`setInsets(Insets newInsets)`
`void`
`setOutline(LineAttributes newOutline)`
`void`
`setShadowColor(ColorDefinition newShadowColor)`
`void`
`setVisible(boolean newVisible)`
`String`
`toString()`
`void`
`unsetEllipsis()`
`void`
`unsetVisible()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getCaption

public Text getCaption()

Specified by:
  `getCaption` in interface `Label`
Returns:
  the value of the 'Caption' containment reference.
See Also:
  - `Label.setCaption(Text)`
  - `ComponentPackage.getLabel_Caption()`

### basicSetCaption

public org.eclipse.emf.common.notify.NotificationChain basicSetCaption(Text newCaption, org.eclipse.emf.common.notify.NotificationChain msgs)

### setCaption

public void setCaption(Text newCaption)

Specified by:
  `setCaption` in interface `Label`
Parameters:
  `newCaption` - the new value of the 'Caption' containment reference.
See Also:
  - `Label.getCaption()`

### getBackground

public Fill getBackground()

Specified by:
  `getBackground` in interface `Label`
Returns:
  the value of the 'Background' containment reference.
See Also:
  - `Label.setBackground(Fill)`
  - `ComponentPackage.getLabel_Background()`

### basicSetBackground

public org.eclipse.emf.common.notify.NotificationChain basicSetBackground(Fill newBackground, org.eclipse.emf.common.notify.NotificationChain msgs)

### setBackground

public void setBackground(Fill newBackground)

Specified by:
  `setBackground` in interface `Label`
Parameters:
  `newBackground` - the new value of the 'Background' containment reference.
See Also:
  - `Label.getBackground()`

### getOutline

public LineAttributes getOutline()

Specified by:
  `getOutline` in interface `Label`
Returns:
  the value of the 'Outline' containment reference.
See Also:
  - `Label.setOutline(LineAttributes)`
  - `ComponentPackage.getLabel_Outline()`

### basicSetOutline

public org.eclipse.emf.common.notify.NotificationChain basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOutline

public void setOutline(LineAttributes newOutline)

Specified by:
  `setOutline` in interface `Label`
Parameters:
  `newOutline` - the new value of the 'Outline' containment reference.
See Also:
  - `Label.getOutline()`

### getShadowColor

public ColorDefinition getShadowColor()

Specified by:
  `getShadowColor` in interface `Label`
Returns:
  the value of the 'Shadow Color' containment reference.
See Also:
  - `Label.setShadowColor(ColorDefinition)`
  - `ComponentPackage.getLabel_ShadowColor()`

### basicSetShadowColor

public org.eclipse.emf.common.notify.NotificationChain basicSetShadowColor(ColorDefinition newShadowColor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setShadowColor

public void setShadowColor(ColorDefinition newShadowColor)

Specified by:
  `setShadowColor` in interface `Label`
Parameters:
  `newShadowColor` - the new value of the 'Shadow Color' containment reference.
See Also:
  - `Label.getShadowColor()`

### getInsets

public Insets getInsets()

Specified by:
  `getInsets` in interface `Label`
Returns:
  the value of the 'Insets' containment reference.
See Also:
  - `Label.setInsets(Insets)`
  - `ComponentPackage.getLabel_Insets()`

### basicSetInsets

public org.eclipse.emf.common.notify.NotificationChain basicSetInsets(Insets newInsets, org.eclipse.emf.common.notify.NotificationChain msgs)

### setInsets

public void setInsets(Insets newInsets)

Specified by:
  `setInsets` in interface `Label`
Parameters:
  `newInsets` - the new value of the 'Insets' containment reference.
See Also:
  - `Label.getInsets()`

### isVisible

public boolean isVisible()

Specified by:
  `isVisible` in interface `Label`
Returns:
  the value of the 'Visible' attribute.
See Also:
  - `Label.isSetVisible()`
  - `Label.unsetVisible()`
  - `Label.setVisible(boolean)`
  - `ComponentPackage.getLabel_Visible()`

### setVisible

public void setVisible(boolean newVisible)

Specified by:
  `setVisible` in interface `Label`
Parameters:
  `newVisible` - the new value of the 'Visible' attribute.
See Also:
  - `Label.isSetVisible()`
  - `Label.unsetVisible()`
  - `Label.isVisible()`

### unsetVisible

public void unsetVisible()

Specified by:
  `unsetVisible` in interface `Label`
See Also:
  - `Label.isSetVisible()`
  - `Label.isVisible()`
  - `Label.setVisible(boolean)`

### isSetVisible

public boolean isSetVisible()

Specified by:
  `isSetVisible` in interface `Label`
Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `Label.unsetVisible()`
  - `Label.isVisible()`
  - `Label.setVisible(boolean)`

### getEllipsis

public int getEllipsis()

Specified by:
  `getEllipsis` in interface `Label`
Returns:
  the value of the 'Ellipsis' attribute.
See Also:
  - `Label.isSetEllipsis()`
  - `Label.unsetEllipsis()`
  - `Label.setEllipsis(int)`
  - `ComponentPackage.getLabel_Ellipsis()`

### setEllipsis

public void setEllipsis(int newEllipsis)

Specified by:
  `setEllipsis` in interface `Label`
Parameters:
  `newEllipsis` - the new value of the 'Ellipsis' attribute.
See Also:
  - `Label.isSetEllipsis()`
  - `Label.unsetEllipsis()`
  - `Label.getEllipsis()`

### unsetEllipsis

public void unsetEllipsis()

Specified by:
  `unsetEllipsis` in interface `Label`
See Also:
  - `Label.isSetEllipsis()`
  - `Label.getEllipsis()`
  - `Label.setEllipsis(int)`

### isSetEllipsis

public boolean isSetEllipsis()

Specified by:
  `isSetEllipsis` in interface `Label`
Returns:
  whether the value of the 'Ellipsis' attribute is set.
See Also:
  - `Label.unsetEllipsis()`
  - `Label.getEllipsis()`
  - `Label.setEllipsis(int)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final Label create()
A convenience method to create an initialized 'Label' instance

Returns:
  label instance with setting 'isSet' flag.

### createDefault

public static final Label createDefault()
A convenience method to create an initialized 'Label' instance

Returns:
  label instance without setting 'isSet' flag.

### createDefault

public static final Label createDefault(boolean visible)
A convenience method to create an initialized 'Label' instance

Returns:
  label instance without setting 'isSet' flag.

### copyInstance

public Label copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Label`

### copyCompactInstance

public static Label copyCompactInstance(Label src)
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy(). Note this method only copies those working properties of the label. e.g. which could affect renderer. This is different with the copyInstance() method, which copies all attributes.

Parameters:
  `src` -
Returns:
  new label instance.